> ## Documentation Index
> Fetch the complete documentation index at: https://docs.dialect.to/llms.txt
> Use this file to discover all available pages before exploring further.

# Withdraw

> Execute a withdraw transaction for the specified vault and amount



## OpenAPI

````yaml /openapi/jupiter.json post /api/v0/lend/borrow/{vaultId}/{positionId}/withdraw
openapi: 3.1.0
info:
  title: Jupiter Blinks API
  version: 0.0.1
servers:
  - url: https://jupiter.dial.to
security: []
paths:
  /api/v0/lend/borrow/{vaultId}/{positionId}/withdraw:
    post:
      tags:
        - Lend Borrow
      summary: Withdraw
      description: Execute a withdraw transaction for the specified vault and amount
      operationId: postApiV0LendBorrowByVaultIdByPositionIdWithdraw
      parameters:
        - in: path
          name: vaultId
          schema:
            example: 1
            default: 1
            description: >-
              Vault ID to interact with. Use the Jupiter
              `https://lite-api.jup.ag/lend/v1/borrow/vaults` endpoint to list
              available vaults.
            type: number
            minimum: 1
          required: true
        - in: path
          name: positionId
          schema:
            example: 2433
            default: 2433
            description: Position ID to interact with.
            type: number
            minimum: 0
          required: true
        - in: query
          name: amount
          schema:
            description: Amount to deposit or withdraw.
            type: number
            minimum: 0
        - in: query
          name: percentage
          schema:
            example: 10
            default: 10
            description: >-
              Percentage to deposit or withdraw (0-100). Takes priority over
              `amount`.
            type: number
            minimum: 0
            maximum: 100
      requestBody:
        content:
          application/json:
            schema:
              type: object
              properties:
                account:
                  description: The public key of the account that executes the transaction
                  example: 6JpNV6DK88auwzKVizdeT4Bw3D44sam5GqjcPCJ7y176
                  default: 6JpNV6DK88auwzKVizdeT4Bw3D44sam5GqjcPCJ7y176
                  type: string
              required:
                - account
              additionalProperties: false
      responses:
        '200':
          content:
            application/json:
              schema:
                type: object
                properties:
                  type:
                    type: string
                    const: transaction
                  transaction:
                    description: Base64 encoded serialized transaction
                    type: string
                required:
                  - type
                  - transaction
                additionalProperties: false
          description: Successful borrow withdraw transaction
        '400':
          content:
            application/json:
              schema:
                type: object
                properties:
                  message:
                    type: string
                required:
                  - message
                additionalProperties: false
          description: Bad request, e.g. no amount and percentage provided
        '422':
          content:
            application/json:
              schema:
                type: object
                properties:
                  message:
                    type: string
                required:
                  - message
                additionalProperties: false
          description: Vault validation error or parameter validation error

````